# std::random_device::max

From cppreference.com
< cpp‎ | numeric‎ | random‎ | random device

static constexpr result_type max(); |  | (since C++11)

Returns the maximum value potentially generated by the random-number engine. This value is equal to std::numeric_limits<unsigned int>::max().

### Parameters

(none)

### Return value

The maximum potentially generated value.

### Complexity

Constant

### See also

min [static] | gets the smallest possible value in the output range (public static member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/random_device/max&oldid=51018"